Bug 708301 (CVE-2011-1910) - CVE-2011-1910 bind: Large RRSIG RRsets and Negative Caching can crash named
Summary: CVE-2011-1910 bind: Large RRSIG RRsets and Negative Caching can crash named
Status: CLOSED ERRATA
Alias: CVE-2011-1910
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=important,source=internet,publ...
Keywords: Security
: 708296 (view as bug list)
Depends On: 708308 708309 708322 708323 833875
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-27 08:08 UTC by Mark J. Cox
Modified: 2018-11-14 12:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 09:58:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0845 normal SHIPPED_LIVE Important: bind security update 2011-05-31 14:52:52 UTC

Description Mark J. Cox 2011-05-27 08:08:03 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1910 to the following vulnerability:

A BIND 9 DNS server set up to be a caching resolver is vulnerable to a user querying a domain with very large resource record sets (RRSets) when trying to negatively cache a response. This can cause the BIND 9 DNS server (named process) to crash. 

http://www.isc.org/software/bind/advisories/cve-2011-1910

Comment 1 Mark J. Cox 2011-05-27 08:08:44 UTC
*** Bug 708296 has been marked as a duplicate of this bug. ***

Comment 4 Mark J. Cox 2011-05-27 09:58:55 UTC
Statement:

This issue did not affect bind packages shipped with Red Hat Enterprise Linux 4 and 5. It affected bind97 packages shipped with Red Hat Enterprise Linux 5 and bind packages shipped with Red Hat Enterprise Linux 6.

Comment 5 errata-xmlrpc 2011-05-31 14:53:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0845 https://rhn.redhat.com/errata/RHSA-2011-0845.html

Comment 6 Usman Ahmad 2011-06-03 06:52:51 UTC
How can i verify that my current BIND version (9.4.3-P3) is affected by the bug reported in CVE-2011-1910. ?? 

Please guide

Comment 7 Vincent Danen 2011-06-14 19:18:05 UTC
You will need to look at the upstream advisory to find that information out.  We do not ship BIND 9.4.3 in any products, so we have not done any investigation as to whether or not it is vulnerable (it does look like some versions of 9.4 may be vulnerable, judging from the upstream advisory page).

Comment 8 Usman Ahmad 2011-06-28 09:32:08 UTC
Is there any command or stress tool by which i can check that my DNS service is vulnerable or not?

Comment 9 Adam Tkac 2011-06-28 09:54:56 UTC
(In reply to comment #8)
> Is there any command or stress tool by which i can check that my DNS service is
> vulnerable or not?

There is no tool for such checks. However I checked 9.4.3-P3 source and this version is NOT vulnerable.


Note You need to log in before you can comment on or make changes to this bug.